{{ $dataURLs := site.Data.urls }}
<table class="card-table table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">URL</th>
      <th scope="col">Overall Grade</th>
      <th scope="col">Violations</th>
      <th scope="col">SSL report</th>
    </tr>
  </thead>
  <tbody>
    {{ range $k, $v := . }}
      {{ $site := strings.TrimRight "/" (strings.TrimLeft "https://" .) }}
      {{ $grade := slice "N/A" }}
      {{ if $dataURLs }}
        {{ $grade = (index (where (index $dataURLs $site) "id" "overall_grade") 0).finding }}
      {{ end }}
      <tr>
        <th>{{ add $k 1 }}</th>
        <td>
          <a href="{{ . }}"><i class="fa fa-link fa-fw"></i> {{ . }}</a>
        </td>
        <td>
          <span
            class="badge bg-{{- if in (slice "A" "A+" ) $grade -}}
              success
            {{- else -}}
              danger
            {{- end -}}"
            >{{ $grade }}</span
          >
        </td>
        <td scope="row">
          {{ $url := . }}
          {{ $site := strings.TrimRight "/" (strings.TrimLeft "https://" .) }}
          {{ if $dataURLs }}
            {{ with (index $dataURLs (print $site ".violations")).result }}
              {{ with (index . 0).bindings.x }}
                {{ $violation := .msg }}
                {{ range (where site.Data.violations "message" (print $url ": " .msg)) }}
                  <span data-bs-toggle="tooltip" data-bs-placement="top" title="{{ .description }}"
                    ><i class="fas fa-exclamation-triangle fa-fw"></i>
                    <a href="{{ .issue.web_url }}">{{ $violation }}</a></span
                  >
                {{ end }}
              {{ end }}
            {{ end }}
          {{ end }}
        </td>
        <td>
          <a
            class="link-secondary"
            href="{{ printf "ssl/%s.html" $site | urlize | relURL }}"
            role="button"
            target="_blank"
            >SSL report</a
          >
        </td>
      </tr>
    {{ end }}
  </tbody>
</table>
